Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class Lisp

    java.lang.Object
      ix.util.lisp.Lisp

    public class Lisp

extends java.lang.Object

The class for static Lisp utilities.

Field Summary
`static java.lang.Object` | `EOF`
`static Null` | `NIL`

Method Summary
`static Cons` | `cons(java.lang.Object car, LList cdr)`
`static LList` | `elementsFromString(java.lang.String s)`
`static java.lang.String` | `elementsToString(java.lang.Object elts)` Returns a string containing the speficied object(s), converted to strings as if by calling `printToString(Object)` and with a single space as the separator.
`static boolean` | `equal(java.lang.Object a, java.lang.Object b)`
`static int` | `hash(java.lang.Object obj)`
`static java.lang.String` | `hashName(java.lang.Object obj)`
`static boolean` | `isFullyPrintable(java.lang.Object a)`
`static Null` | `list()`
`static Cons` | `list(java.lang.Object a)`
`static Cons` | `list(java.lang.Object a, java.lang.Object b)`
`static Cons` | `list(java.lang.Object a, java.lang.Object b, java.lang.Object c)`
`static Cons` | `list(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d)`
`static Cons` | `list(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d, java.lang.Object e)`
`static Cons` | `list(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d, java.lang.Object e, java.lang.Object f)`
`static LispReader` | `openForInput(java.lang.String resourceName)`
`static LispReader` | `openForInput(java.net.URL url)`
`static java.lang.Object` | `parseHashName(java.lang.String name)`
`static int` | `printLength(java.lang.Object a)` Returns the number of characters in the textual represpetation of an object.
`static java.lang.String` | `printToString(java.lang.Object a)`
`static java.lang.String` | `quotedAndEscaped(char quote, java.lang.String s)` Adds quote marks around a string and escape sequences inside it.
`static java.lang.Object` | `readFromString(java.lang.String s)`
`static java.lang.Object` | `unhash(int h)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NIL

    public static final Null NIL

### EOF

    public static final java.lang.Object EOF

Method Detail

### cons

    public static final Cons cons(java.lang.Object car,
                                  LList cdr)

### list

    public static final Null list()

### list

    public static final Cons list(java.lang.Object a)

### list

    public static final Cons list(java.lang.Object a,
                                  java.lang.Object b)

### list

    public static final Cons list(java.lang.Object a,
                                  java.lang.Object b,
                                  java.lang.Object c)

### list

    public static final Cons list(java.lang.Object a,
                                  java.lang.Object b,
                                  java.lang.Object c,
                                  java.lang.Object d)

### list

    public static final Cons list(java.lang.Object a,
                                  java.lang.Object b,
                                  java.lang.Object c,
                                  java.lang.Object d,
                                  java.lang.Object e)

### list

    public static final Cons list(java.lang.Object a,
                                  java.lang.Object b,
                                  java.lang.Object c,
                                  java.lang.Object d,
                                  java.lang.Object e,
                                  java.lang.Object f)

### equal

    public static final boolean equal(java.lang.Object a,
                                      java.lang.Object b)

### openForInput

    public static LispReader openForInput(java.net.URL url)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### openForInput

    public static LispReader openForInput(java.lang.String resourceName)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFromString

    public static java.lang.Object readFromString(java.lang.String s)

### elementsFromString

    public static LList elementsFromString(java.lang.String s)

### printToString

    public static java.lang.String printToString(java.lang.Object a)

### isFullyPrintable

    public static boolean isFullyPrintable(java.lang.Object a)

### elementsToString

    public static java.lang.String elementsToString(java.lang.Object elts)

  Returns a string containing the speficied object(s), converted to strings as if by calling `printToString(Object)` and with a single space as the separator.

### quotedAndEscaped

    public static java.lang.String quotedAndEscaped(char quote,
                                                    java.lang.String s)

  Adds quote marks around a string and escape sequences inside it.

### printLength

    public static int printLength(java.lang.Object a)

  Returns the number of characters in the textual represpetation of an object.

### hash

    public static int hash(java.lang.Object obj)

### unhash

    public static java.lang.Object unhash(int h)

### hashName

    public static java.lang.String hashName(java.lang.Object obj)

### parseHashName

    public static java.lang.Object parseHashName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD